<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Form work1</title>
  <script>
    /*
      Задание:

      1. Сгенерировать список стран в Select countries
      2. При выборе страны генерировать еще один Select со списком
        городов этой страны и вывести этот селект в блок result
      3. При выборе города нужно случайно рандомить температуру от
      -10 градусов до +40. Если температура

        -10 до 0 то 'Солнечно' 'Легкий снегопад' 'Сильный снегопад'
        0 до 30 то  'Солнечно' 'Дождь' 'Ветер' 'Сильный дождь'
        30 до 40 то 'Солнечно' 'Засуха' 'Ветер'

      4. Вывести сообщение на страничку
        {Country}. В {City} {Weather} {Temperature} градусов.
        Ukraine. В Kyiv Солнечно -10 градусов

        + бонус добавить красивые картинки с погодой
    */
    window.addEventListener("load", function () {
      var result = document.getElementById("result");
      var countries = ['Ukraine', 'Poland', 'USA'];
      var ukraineCity = ['Kyiv', 'Lviv', 'Odesa', 'Charkiv'];
      var polandCity = ['Warszawa', 'Poznan', 'Krakow', 'Katowice'];
      var usaCity = ['New York', 'Los Angeles', 'Las Vegas', 'Chicago'];

      var temp1 = [["Солнечно",'image2.jpg'],["Легкий снегопад",'image3.jpg'],["Сильный снегопад","image4.jpg"]];
      var temp2 = [["Солнечно",'image2.jpg'],["Дождь","image7.jpg"],["Ветер","image1.jpg"],["Сильный дождь","image6.jpg"]];
      var temp3 = [["Солнечно",'image2.jpg'],["Засуха","image5.jpg"],["Ветер","image1.jpg"]];

      function getRandomIntInclusive(min, max) {
      min = Math.ceil(min);
      max = Math.floor(max);
      return Math.floor(Math.random() * (max - min + 1)) + min;
    }

      var countries_list = document.getElementById("countries");
      var option;
      for (var i=0; i<3; i++){
        option = new Option (countries[i], i);
        countries_list.appendChild(option);
      }
      countries_list.addEventListener("change",function(){
        result.innerHTML = "";
        var city = document.createElement("select");
        var country;
        result.appendChild(city);
        if (countries_list.value == 0){
         CitySelect(ukraineCity);
         country = countries[0];
        }
        if (countries_list.value == 1){
         CitySelect(polandCity);
         country = countries[1];
        }
        if (countries_list.value == 2){
         CitySelect(usaCity);
         country = countries[2];
        }

        function CitySelect(massiv){
          for (var i = 0; i < massiv.length; i++){
            option = myOption(massiv[i],i);
            city.appendChild(option);
         }
         city.addEventListener("change",function(){
              var cityy = city[city.value].text;
              var weather_index; var image; var weather_element;
              var temperature = getRandomIntInclusive(-10,40);
              if ( - 10 <= temperature < 0 ){
                weather_element = temp1[getRandomIntInclusive(0, temp1.length-1)];
                weather_index = temp1.indexOf(weather_element);
                console.log(weather_index);
                weather = temp1[weather_index][0];
                image = temp1[weather_index][1];

              }
              if (  0 <= temperature < 30 ){
                weather_element = temp2[getRandomIntInclusive(0, temp2.length-1)];
                weather_index = temp2.indexOf(weather_element);
                console.log(weather_index);
                weather = temp2[weather_index][0];
                image = temp2[weather_index][1];
              }
              if ( 30 <= temperature <= 40 ){
                weather_element = temp3[getRandomIntInclusive(0, temp3.length-1)];
                weather_index = temp3.indexOf(weather_element);
                console.log(weather_index);
                weather = temp3[weather_index][0];
                image = temp3[weather_index][1];
              }
              var div2 = document.getElementById("result2");
              var div_img = document.createElement("div");
              var img = document.createElement("img");
              img.src = image;
              img.setAttribute("width",450);
              img.setAttribute("height",300);
              div2.innerHTML = country+ ". В "+cityy + " "+weather+ " "+temperature + " градусов.";
              div2.appendChild(div_img);
              div_img.appendChild(img);
              
            })
        }
        function myOption(text, value){
           var myOpt = document.createElement('option');
               myOpt.value = value;
               myOpt.innerText = text;
               return myOpt;
            }

      })

        
    });
  </script>
</head>
<body>
  <select id="countries"></select>
  <div id="result"></div>
  <div id="result2"></div>
</body>
</html>
